package de.ozgcloud.eingang.xta;

import static org.assertj.core.api.Assertions.*;
import static org.mockito.Mockito.*;

import java.util.Map;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.ArgumentCaptor;
import org.mockito.Captor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.bean.override.mockito.MockitoBean;

import de.ozgcloud.common.test.ITCase;
import de.ozgcloud.eingang.common.formdata.FormData;
import de.ozgcloud.eingang.router.VorgangService;
import de.ozgcloud.eingang.semantik.SemantikAdapter;

@ITCase
class SemantikAdapterITCase {

	@Autowired
	private SemantikAdapter semantikAdapter;

	@MockitoBean
	private VorgangService vorgangService;

	@Nested
	class TestForFim {
		private final Map<String, Object> excpectedFormDataMap = FimFormDataTestFactory.FORM_DATA_MAP;

		private final FormData emptyFormData = FimFormDataTestFactory.createEmptyFormData();

		@Captor
		private ArgumentCaptor<FormData> formDataCaptor;

		@Test
		void shouldParseFormDataMap() {
			semantikAdapter.processFormData(emptyFormData);

			verify(vorgangService).createVorgang(formDataCaptor.capture());
			assertThat(formDataCaptor.getValue().getFormData()).usingRecursiveComparison().isEqualTo(excpectedFormDataMap);
		}
	}
}