/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.xta;

import java.net.URI;

import lombok.SneakyThrows;

class XtaPropertiesTestFactory {

	private static final String SERVER_PROTOCOL = "https";
	private static final String SERVER_ADDRESS = "xta-adapter-port-forward-service.ssh-port-forward.svc.cluster.local";

	@SneakyThrows
	static XtaProperties create() {
		XtaProperties properties = new XtaProperties();

		Actions actions = new Actions();
		properties.setActions(actions);
		actions.setFetchRequest(new URI("http://tempuri.local/fetch"));
		actions.setStatusList(new URI("http://tempuri.lcoal/statusList"));

		Server server = new Server();
		properties.setServer(server);
		server.setProtocol(SERVER_PROTOCOL);
		server.setAddress(SERVER_ADDRESS);

		return properties;

	}
}
